#include "extern.h"

/* 
   Start X32-Play
*/
void start_sound(OBJ_INFO *oinf)
{
char *data = ((X32_INFO *)oinf->user)->data;

if (data)
	DosoundX32(data);
((X32_INFO *)oinf->user)->playing = TRUE;
}

/* 
   Stop X32-Play.
   
   Set sound register 8,9,10	to zero volume
   and stop playing.
   
*/
void stop_sound(OBJ_INFO *oinf)
{
static char stop_snd[] = "\10\0\11\0\12\0\377\000";

if (((X32_INFO *)oinf->user)->playing)
	{
	DosoundX32(stop_snd);
	((X32_INFO *)oinf->user)->playing = FALSE;
	}
}

/* 
	Own Xbios32 call, because the original Pure-C call is not
	returning the return value
*/	
void *DosoundX32(void *buf)
{
return (void *)xbios(32, buf);
}